<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/dados.php");
	require_once($dir."/classes/Usuario.class.php");
	require_once($dir."/classes/Dados.class.php");

	$dados = new Dados();
	$usuario = $dados->fixObject($_SESSION["usuario"]);

	$res = '';
    $sql .=  "select max(D.DATAHORA) as DATA_ULTIMA_INTEGRACAO, D.CODVENDEDOR, V.NOME ";
	$sql .= "  from INTEGRACOES_ANDROID D ";
	$sql .= "  join VENDEDORES V on V.CODVENDEDOR = D.CODVENDEDOR ";
	if($usuario->getVendedor()->getTipo() == 'S'){
		$sql .= " where V.CODSUPERVISOR =  " . $usuario->getVendedor()->getCodvendedor();
	} else {
		$sql .= " where V.CODVENDEDOR =  " . $usuario->getVendedor()->getCodvendedor();
	}
	
	$sql .= " group by CODVENDEDOR, NOME ";
	$sql .= " order by DATA_ULTIMA_INTEGRACAO desc  ";
	
	$ultimaIntegracao = $dados->selectSQL($sql);

	foreach($ultimaIntegracao as $vendedor){
		$res .= '<tr>';
        $res .= '<td>'.$vendedor["NOME"].'</td>';
        $res .= '<td>'.$vendedor["DATA_ULTIMA_INTEGRACAO"].'</td>';
        $res .= '</tr>';
	}

	echo $res;

?>
